﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@using SPEX.Models
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ServiceMappingMasterScript")
<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 30%">
                <fieldset style="border: 1px; border-style: outset; width: 96%; height: 40px;">
                    <table>
                        <tr>
                            <td style="width: 300px; vertical-align: top">
                                @Html.Partial("UploadPartial")
                            </td>
                            <td>
                                @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "cmdUploadData";
                                    Button.Text = "Upload";
                                    Button.Width = 90;
                                    Button.ClientSideEvents.Click = "OnUploadData";
                                    Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-02", "UPLOAD");
                                }).GetHtml()
                                @Html.DevExpress().TextBox(hsettings =>
                                {
                                    hsettings.Name = "Process_ID2";
                                    hsettings.ClientVisible = false;
                                }).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td>
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "";
                                }).GetHtml()
                                @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "cmdDownloadLink";
                                    Link.Properties.Text = "Download Template";
                                    Link.Width = 160;
                                    //Link.Height = 20;
                                    //Link.NavigateUrl = "Template/TemplateServicePriceMaster.xlsx";
                                    //Link.Style.Add("display", "inline-table");
                                    Link.Properties.ClientSideEvents.Click = "DownloadTemplate";

                                }).GetHtml()
                            </td>
                            <td></td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td style="width: 70%">
                <fieldset style="border: 1px; border-style: outset; height: 40px; width: 98%">
                    <table border="0" width="100%">
                        <tr>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Vendor Code";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().ComboBox(
                                settings =>
                                {
                                    settings.Name = "I_VENDOR_CD";
                                    settings.Width = 100;
                                    settings.Properties.DropDownWidth = 100;
                                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                    //settings.Properties.ValueType = typeof(string);
                                }
                                ).BindList(ViewData["VendorCD"]).GetHtml()
                            </td>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Vendor Name";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_VENDOR_NAME";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                }
                                ).GetHtml()
                            </td>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Service Code";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_SERVICE_CODE";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                }
                                ).GetHtml()
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Vendor Type";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().ComboBox(
                                settings =>
                                {
                                    settings.Name = "I_VENDOR_TYPE";
                                    settings.Width = 100;
                                    settings.Properties.DropDownWidth = 100;
                                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                    //settings.Properties.ValueType = typeof(string);
                                }
                                ).BindList(ViewData["VendorType"]).GetHtml()
                            </td>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Service Registration";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().ComboBox(
                                settings =>
                                {
                                    settings.Name = "I_SERVICE_REG";
                                    settings.Width = 100;
                                    settings.Properties.DropDownWidth = 100;
                                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                    //settings.Properties.ValueType = typeof(string);
                                }
                                ).BindList(ViewData["ServiceReg"]).GetHtml()
                            </td>
                            <td style="width: 5%;">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "Service Name";
                                    Label.Width = 90;
                                }).GetHtml()
                            </td>
                            <td style="width: 10%;">
                                @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_SERVICE_NAME";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                }
                                ).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
    </table>
    <table border="0" width="100%">
        <tr>
            <td style="width: 40%;" align="left">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdAdd";
                    Button.Text = "Add";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                    //Button.ClientSideEvents.Init = "InitData";
                    //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "ADD");
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
               {
                    Button.Name = "cmdEdit";
                    Button.Text = "Edit";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "EditData";
                    //Button.ClientSideEvents.Init = "InitData";
                    //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "EDIT");
               }).GetHtml()
               @Html.DevExpress().Button(Button =>
               {
                    Button.Name = "cmdDelete";
                    Button.Text = "Delete";
                    Button.Width = 100;
                    Button.Style.Add("display", "inline-table");
                    Button.ClientSideEvents.Click = "DeleteData";
                    //Button.UseSubmitBehavior = true; ;
                    //Button.ClientSideEvents.Init = "InitData";
                    //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PORT_LOADING", "FTR-SPEX-54-01", "DELETE DATA");
               }).GetHtml()
            </td>
            <td style="width: 60%" align="right">
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "OnDownload";
                    edtSetting.Style.Add("display", "inline-table");
                    //edtSetting.UseSubmitBehavior = true;
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-02", "DOWNLOAD");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdSearch";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Search";
                    edtSetting.ClientSideEvents.Click = "OnSearch";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-01", "SEARCH");
                }).GetHtml()
                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PackingCompletion", "FTR-SPEX-161-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("ServiceMappingMasterGrid")
</div>
@Html.Partial("PartialPopUp")